using System.ComponentModel;

namespace QYZH.InteractiveMagazine.Models.Enum;

/// <summary>
/// 消息类型
/// </summary>
public enum MessageTypeEnum
{
    /// <summary>
    /// 消息
    /// </summary>
    [Description("消息")]
    Message = 0,
    /// <summary>
    /// 文章
    /// </summary>
    [Description("文章")]
    Article = 1,
    
    /// <summary>
    /// 引用
    /// </summary>
    [Description("引用")]
    Quote = 2,
    
    /// <summary>
    /// 公告
    /// </summary>
    [Description("公告")]
    Announcement = 3
}
